package jrummikub.util;

import java.util.HashSet;

public class MockEvent2<T1, T2> implements IEvent2<T1, T2> {
	public HashSet<IListener2<T1, T2>> listeners = new HashSet<IListener2<T1, T2>>();

	@Override
	public void add(IListener2<T1, T2> listener) {
		listeners.add(listener);
	}

	@Override
	public void remove(IListener2<T1, T2> listener) {
		listeners.remove(listener);
	}

	public void emit(T1 value1, T2 value2) {
		for (IListener2<T1, T2> listener : listeners) {
			listener.handle(value1, value2);
		}
	}
}
